use $(DatabaseName);
GO
DECLARE @SQLVersion as int;
PRINT N'SQL productversion ' + 
	  CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) + 
	  N'.';
SET @SQLVersion =
 CASE  
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '8%' THEN 2000
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '9%' THEN 2005
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '10.0%' THEN 2008
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '10.5%' THEN 2008
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '11%' THEN 2012
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '12%' THEN 2014
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '13%' THEN 2016     
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '14%' THEN 2017 
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '15%' THEN 2019 
     ELSE 2020
  END
PRINT N'SQL version ' + 
	  RTRIM(CAST(@SQLVersion as nchar(4))) + 
	  N'.';
IF (@SQLVersion >= 2017)
BEGIN
PRINT N'Calling sp_add_trusted_assembly for the secRMM assemblies' 
EXEC sp_add_trusted_assembly 0x0832ADBFBA367383336F00A6BF45CF13BCB2AE170B477613A1D8C7C6162FA14DA1DA9189FB31479E502B58131667DD399B6C76EA731B40B162B00FD0D8A619B7, N'secRMMSQLScalarValuedFunction, Version=9.11.8.0, Culture=neutral, PublicKeyToken=3e0a3c0254caec2d'
EXEC sp_add_trusted_assembly 0x3C9C403606C0D9F23FCAA44F6DCBA50769EAA252AB3BCFCCC164B9C36CF51A1C3A202EB2607F6FDD5AC31CABE67AB5EA843C81F90AF61EE2EAF9FFBBFAC6D5F5, N'secRMMSQLTableValuedFunction, Version=9.11.8.0, Culture=neutral, PublicKeyToken=3e0a3c0254caec2d'
END
